
Redmine - Feature #8145

API: Redmine version

2011-04-14 00:30 - Thibaut LE LEVIER

Status: Closed Start date: 2011-04-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I'm working on a app which use Redmine API to list an create issues.

I made my app is using the JSON feed available only on the latest version.

So I need to check first witch version does Redmine run.

Is there any way to do that?

Should this feature be include in the next release?

Thanks

Related issues:

Is duplicate of Redmine - Feature #5901: REST API to expose the Redmine version New 2010-07-18

History

#1 - 2011-04-14 00:39 - Thibaut LE LEVIER

Maybe a simple meta in the layout should be a great idea?

Something like that in the base.rhtml:

<meta name="Generator" content="<%= Redmine::Info.versioned_name %>" />

What do you think about?

any chance to add it in the official release?

#2 - 2011-04-14 00:41 - Thibaut LE LEVIER

Sorry for the blind comment, the code in the content attribute is the Info.versioned_name from the Redmine instance

Same as in the admin/info page

Thibaut LE LEVIER wrote:

Maybe a simple meta in the layout should be a great idea?

Something like that in the base.rhtml:

<meta name="Generator" content="<%= Redmine::Info.versioned_name %>" />

What do you think about?

any chance to add it in the official release?

#3 - 2011-04-14 09:36 - Etienne Massip

- Category set to Plugin API

- Priority changed from High to Normal

- Target version set to Candidate for next major release

#4 - 2011-04-14 09:36 - Etienne Massip

- Category changed from Plugin API to REST API

#5 - 2011-04-14 12:37 - Thibaut LE LEVIER

May I help to add this feature?
#6 - 2011-04-14 12:48 - Etienne Massip

Yes, you could add xml/json response formats to admin/info in controller.

#7 - 2011-04-15 19:44 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Same as #5901.

#8 - 2011-06-14 17:16 - Etienne Massip

- Target version deleted (Candidate for next major release)

Switched with #5901.

Powered by TCPDF (www.tcpdf.org)

2025-07-01 2/2

https://www.redmine.org/issues/5901
https://www.redmine.org/issues/5901
http://www.tcpdf.org

